Bug 1409235 - elpa: packages mod under /usr/lib64/gfortran/modules/{mpich,openmpi} instead of /etc/modulefiles/mpi/{mpich,openmpi}-x86_64?
Summary: elpa: packages mod under /usr/lib64/gfortran/modules/{mpich,openmpi} instead ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: elpa
Version: epel7
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-12-30 14:54 UTC by marcindulak
Modified: 2017-06-28 23:19 UTC (History)
1 user (show)

Fixed In Version: elpa-2015.11.001-6.el7
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-06-28 23:19:27 UTC


Attachments (Terms of Use)

Description marcindulak 2016-12-30 14:54:55 UTC
Description of problem:

According to https://fedoraproject.org/wiki/Packaging:MPI mod should be packaged under

MPI_FORTRAN_MOD_DIR	%{_fmoddir}/%{name}	MPI stack specific Fortran module directory

and this is what elpa does:

$ rpm -qf /usr/lib64/gfortran/modules/openmpi/elpa1.mod 
elpa-openmpi-devel-2015.02.002-4.el7.x86_64

However MPI_FORTRAN_MOD_DIR is different on RHEL7:

$ grep MPI_FORTRAN_MOD_DIR /etc/modulefiles/mpi/openmpi-x86_64 
setenv			MPI_FORTRAN_MOD_DIR	/usr/lib64/gfortran/modules/openmpi-x86_64

As a consequence elpa mods are not found when building applications using -I$MPI_FORTRAN_MOD_DIR 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:

Comment 1 marcindulak 2016-12-30 14:56:54 UTC
Related to bug #1409229

Comment 2 Dominik 'Rathann' Mierzejewski 2017-02-01 18:46:51 UTC
Thanks for the report. Working on it.

Comment 3 Fedora Update System 2017-06-12 13:42:24 UTC
openmx-3.8.1-9.el7 elpa-2015.11.001-5.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9161cc56d2

Comment 4 Fedora Update System 2017-06-14 07:49:51 UTC
elpa-2015.11.001-6.el7, openmx-3.8.1-9.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-9161cc56d2

Comment 5 Fedora Update System 2017-06-28 23:19:27 UTC
elpa-2015.11.001-6.el7, openmx-3.8.1-9.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.